Create label

Create shipping label for items. The response to a successful call are of json,pdf or image type based on the media type passed in Accept header.
For eg. 'Accept'='application/json,application/pdf' will result in pdf media type and
'Accept'='application/json,image/png' as image media type and 'Accept'='application/json' as json response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Label fields

string
required

Package Type. Supported Package Types are - 'CUSTOM_PACKAGE', 'FEDEX_ENVELOPE', 'FEDEX_PAK'

boxDimensions
object
required

Box Dimensions

boxItems
array of objects
required

Box Items

boxItems*
fromAddress
object
required

From Address

string
required

Purchase Order Id

string
required

Carrier Name. For now, the only supported carrier is - 'FedEx'

string
required

Carrier Service Type. For now, supported values are - 'FEDEX_INTERNATIONAL_PRIORITY' for fedExPak/fedExEnvelope package types, 'FEDEX_INTERNATIONAL_ECONOMY' and 'FEDEX_INTERNATIONAL_GROUND'

Headers
string
enum
Allowed:
string
required

The access token retrieved in the Token API call

string

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID

string
required

Walmart Service Name

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/pdf
image/png